Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Summary:        An implementation of the classical chinese game Mah Jongg with 3D OpenGL graphics.
Name:   	mahjongg3d
Version:        0.96
Release:        5
Provides:	mahjongg3d
Group:  	Games/Boards
License:        GNU/GPL
URL:            http://www.reto-schoelly.de/mahjongg3d/
Source: 	%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Patch0:		%{name}-%{version}-gamedata_path.patch
BuildRoot:      %_tmppath/%{name}-build
BuildRequires:  qt-devel

%description
MahJongg Solitaire 3D is an OpenGL enhanced solitaire version
of the ancient chinese board game "Mah Jongg". 
This is a solitaire version of Mah Jongg, it can be played by a single player.
It has a fresh new three dimensional view from which you can
look at the board from any direction, with hand drawn aquarelle tilesets,
layouts and backgrounds, you can download tilesets,
layouts and backgrounds or even create your own ones and integrate them into the game. 
 
%post

%postun

%prep

%setup -n mahjongg3d.release
%patch0 -p1

%build
qmake
make PREFIX=%_kdedir GAMEDATA_PREFIX=/opt/games

%install
mkdir -p $RPM_BUILD_ROOT{%_kdedir/{bin,share/applications/kde},%_mandir/man6}
mkdir -p $RPM_BUILD_ROOT/opt/games/%{name}/{backgrounds,gra,layouts,tilesets/{default,flowers,runes,traditional}}
install -m 0755 bin/%{name} $RPM_BUILD_ROOT%_kdedir/bin
install -m 0644 bin/backgrounds/* $RPM_BUILD_ROOT/opt/games/%{name}/backgrounds/
install -m 0644 bin/gra/* $RPM_BUILD_ROOT/opt/games/%{name}/gra/
install -m 0644 bin/layouts/* $RPM_BUILD_ROOT/opt/games/%{name}/layouts/
install -m 0644 bin/tilesets/*.tileset $RPM_BUILD_ROOT/opt/games/%{name}/tilesets/
install -m 0644 bin/tilesets/default/* $RPM_BUILD_ROOT/opt/games/%{name}/tilesets/default/
install -m 0644 bin/tilesets/flowers/* $RPM_BUILD_ROOT/opt/games/%{name}/tilesets/flowers/
install -m 0644 bin/tilesets/runes/* $RPM_BUILD_ROOT/opt/games/%{name}/tilesets/runes/
install -m 0644 bin/tilesets/traditional/* $RPM_BUILD_ROOT/opt/games/%{name}/tilesets/traditional/
install -m 0644 %{name}.6 $RPM_BUILD_ROOT%_mandir/man6/

cp %{SOURCE1} $RPM_BUILD_ROOT%_kdedir/share/applications/kde

%files
%defattr(-,root,root)
%doc Changelog COPYING INSTALL_CUSTOM README
%_kdedir
/opt/games/%{name}
%_mandir/man6/%{name}.6*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 04 2005 Christian Wasem <wasem@ccux-linux.de> 0.96-5
- tweaked soecfile, added .desktop, removed additional tilesets
- added gamedata_path patch
* Thu Sep 29 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.96-4
- rebuilt SRPM, added tilesets
* Mon Dec 27 2004 Christian Metzen <metzench@ccux.de> 0.96-3
- inital release